/***************************************************************************
                          optionnodedata.h  -  description
                             -------------------
    begin                : jue jul 10 2003
    copyright            : (C) 2003 by Napsis S.L.
    email                : support@napsis.com
***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef OPTIONNODEDATA_H
#define OPTIONNODEDATA_H

#include <qstringlist.h>
/**
  *@author Carlos Manzanedo
  */
class QString;
  
class OptionNode{
public: 
     OptionNode();
     OptionNode(const QString option_type);
     ~OptionNode();

     void addOption(const QString& option,bool is_default=false);
     bool removeOption(const QString& option);
     void setOptionType(const QString& option_type);
     bool setDefaultOption(int pos);
     void setDefaultOption(const QString& value_name);
     bool contains(const QString& value);

     QStringList getValues();
     QString getOptionType();
     QString getDefaultOption();
     int getDefaultPos();

protected:
     int optionPos(const QString& value_name);

     QStringList value_list;
     int default_position;
     QString type_name;
};

#endif


















