/***************************************************************************
                          browser.h  -  description
                             -------------------
    begin                : Tue Feb 25 2003
    copyright            : (C) 2004 by Napsis S.L.
    email                : carlos@napsis.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef BROWSER_H
#define BROWSER_H

#include <khtml_part.h>
#include <khtml_events.h>

class Browser : public KHTMLPart  {
Q_OBJECT
  public:
    Browser(QWidget *parentWidget = 0, const char *widgetname = 0, QObject *parent = 0, const char *name = 0);
    ~Browser();
    void rebuildPage(QString newPage);
    void clearBrowser();
    
  signals:
    void linkClicked(const QString &);

  protected:
    void khtmlMousePressEvent(khtml::MousePressEvent *event);
};

#endif
