/***************************************************************************
                          bslorderheaderwidget.h  -  description
                             -------------------
    begin                 : mon Jun 2 2003
    copyright          : (C) 2003 by Napsis S.L.
    email                 : carlos@napsis.com

@author Jose Ignacio Ferrero-Carrera
Modified by Carlos Manzanedo Rueda.

%LICENCIA%
 ***************************************************************************/

#ifndef BSLORDERHEADERWIDGET_H
#define BSLORDERHEADERWIDGET_H

#include <liblinuxbar/hlist.h>

#include <qframe.h>

class QPixmap;
class QLabel;
class QBoxLayout;
class QHBoxLayout;
class QVBoxLayout;
class XmlConfig;
  
class BslOrderHeaderWidget : public QFrame  {
        Q_OBJECT
public: 
        BslOrderHeaderWidget(XmlConfig *xml, QWidget *parent=0, const char *name=0);
        ~BslOrderHeaderWidget();

public slots:
        void showPhoto(bool show_it);
        void setStaffInfo(XmlConfig *xml);

protected:
        void parseXmlDescription(XmlConfig *xml);

        QHBoxLayout *total_layout;
        QFrame *labels_frame;
        QBoxLayout *layout;
        HList<QLabel> *widgets;
};

#endif
