/***************************************************************************
                          popupkeyboard.h  -  description
                             -------------------
    begin                : vie feb 13 2004
    copyright            : (C) 2004 by Napsis S.L.
    email                : carlos@napsis.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef POPUPKEYBOARD_H
#define POPUPKEYBOARD_H

#include <qpopupmenu.h>
/**
  *@author carlos Manzanedo Rueda
  */

class SpKeyboard;
class QString;

class PopUpKeyboard : public QPopupMenu  {
   Q_OBJECT
public:
        PopUpKeyboard(QWidget *parent=0, const char *name=0);
        ~PopUpKeyboard();

signals:
        void textChanged(const QString &);
        void exitClicked();

protected slots:
        void enterPressedSlot(const QString &text_string);

protected:
        void showEvent(QShowEvent *e);
        void hideEvent(QHideEvent *e);        
        SpKeyboard *kb;

        
};

#endif
