/***************************************************************************
                          basickeyboardbox.h  -  description
                             -------------------
    begin                : mi ago 20 2003
    copyright            : (C) 2004 by Napsis S.L.
    email                : carlos@napsis.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef BASICKEYBOARDBOX_H
#define BASICKEYBOARDBOX_H

#include "numkeyboard.h"
/**
  *@author Carlos Manzanedo
  */
const int NUMBER_0=0;
const int NUMBER_1=1;
const int NUMBER_2=2;
const int NUMBER_3=3;
const int NUMBER_4=4;
const int NUMBER_5=5;
const int NUMBER_6=6;
const int NUMBER_7=7;
const int NUMBER_8=8;
const int NUMBER_9=9;
const int NUMBER_CE=-1;
const int NUMBER_DOT=-2;
 
class QSignalMapper;
  
class BasicKeyboardBox : public NumKeyboard  {
     Q_OBJECT
public: 
     BasicKeyboardBox(QWidget *parent=0, const char *name=0);
     ~BasicKeyboardBox();

     bool initMode();
     void setInitMode(bool status=true);
     
public slots:
     //if the num == -1 then the ce button has been pressed (use - numbers to speccial buttons)
     virtual void clear();
     virtual void hideNumber(bool state);

protected:
     void enterEvent(QEvent *e);
     void leaveEvent(QEvent *e);
     virtual void initMapping();
     QSignalMapper *signal_mapper;

     bool init_mode;
};

#endif
