/***************************************************************************
                          bslordertotalwidget.h  -  description
                             -------------------
    begin                 : mon Jun 2 2003
    copyright          : (C) 2003 by Napsis S.L.
    email                 : carlos@napsis.com

@author Jose Ignacio Ferrero-Carrera
Modified by Carlos Manzanedo Rueda.

%LICENCIA%
 ***************************************************************************/

#ifndef BSLORDERTOTALWIDGET_H
#define BSLORDERTOTALWIDGET_H

#include <liblinuxbar/hlist.h>
#include <qframe.h>



class QLabel;
class QBoxLayout;
class XmlConfig;
  
class BslOrderTotalWidget : public QFrame  {
        Q_OBJECT
public: 
        BslOrderTotalWidget(XmlConfig *xml, QWidget *parent=0, const char *name=0);
        ~BslOrderTotalWidget();

public slots:
        void totalBillSlot(float amount);

protected:
        void parseXmlDescription(XmlConfig *xml);

        QBoxLayout *layout;
        HList<QLabel> *widgets;
};

#endif
